package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LandMark {
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String mapName;
    private Integer ownedCityId;
    private String mapSprite;
    private String logeSprite;
    private String openDescribe;
    private String markDescribe;
    private String anchorImageGroupName;
    private Integer defaultMode;
    private Integer vuforiaImageGroupId;
    private String vuforiaDataName;
    private String mapInfo;
    private String mapWidth;
    private String mapHeight;
    private String mapRate;
    private String showInPanel;
    private String longitude;
    private String latitude;
    private String remark1;
    private String remark2;
    private String remark3;
    private String frontLevelId;

    private VuforiaImageGroup vuforiaImageGroup;

    private List<VuforiaImageInfo> vuforiaImageInfoList;

    private List<AimPlaceContent> aimPlaceContentList;

    private List<AimPlacePosition> aimPlacePositionList;

    private List<LandMark> landMarkChildList;

    private List<AreaInfo> areaInfoList;

    private List<ThingInfo> thingInfoList;

    private String areaTypeId;


    //距离、经纬度查询。
    private String distance;
    private String lngKey;
    private String latKey;

    private Integer typeId;
    private String keyword;
    private String power;
    private String areaMapInfo;

    private String mapAngle;

    /**
     * 地标（景区）级别
     */
    private String markLevel;

    /**
     * 门票/价格
     */
    private String markPrice;

    /**
     * 公交路线
     */
    private String busRoute;


    /**
     * 添加到第几步，默认5
     */
    private Integer addStep;

    /**
     * 查询步骤
     */
    private String addStepStr;

    /**
     * 闪屏广告图片
     */
    private String adImage;


    private String idStr;

    private String searchKey;

    /**
     * and,test_name,like,value;or,remark,=,123
     */
    private String advancedQuery;

    /**
     * column_name_,desc_;column_name_,asc
     */
    private String orderByStr;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return this.createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getMapName() {
        return this.mapName;
    }

    public void setMapName(String mapName) {
        this.mapName = mapName;
    }

    public Integer getOwnedCityId() {
        return this.ownedCityId;
    }

    public void setOwnedCityId(Integer ownedCityId) {
        this.ownedCityId = ownedCityId;
    }

    public String getMapSprite() {
        return this.mapSprite;
    }

    public void setMapSprite(String mapSprite) {
        this.mapSprite = mapSprite;
    }

    public String getLogeSprite() {
        return this.logeSprite;
    }

    public void setLogeSprite(String logeSprite) {
        this.logeSprite = logeSprite;
    }

    public String getOpenDescribe() {
        return this.openDescribe;
    }

    public void setOpenDescribe(String openDescribe) {
        this.openDescribe = openDescribe;
    }

    public String getMarkDescribe() {
        return this.markDescribe;
    }

    public void setMarkDescribe(String markDescribe) {
        this.markDescribe = markDescribe;
    }

    public String getAnchorImageGroupName() {
        return this.anchorImageGroupName;
    }

    public void setAnchorImageGroupName(String anchorImageGroupName) {
        this.anchorImageGroupName = anchorImageGroupName;
    }

    public Integer getDefaultMode() {
        return this.defaultMode;
    }

    public void setDefaultMode(Integer defaultMode) {
        this.defaultMode = defaultMode;
    }

    public Integer getVuforiaImageGroupId() {
        return this.vuforiaImageGroupId;
    }

    public void setVuforiaImageGroupId(Integer vuforiaImageGroupId) {
        this.vuforiaImageGroupId = vuforiaImageGroupId;
    }

    public String getVuforiaDataName() {
        return this.vuforiaDataName;
    }

    public void setVuforiaDataName(String vuforiaDataName) {
        this.vuforiaDataName = vuforiaDataName;
    }

    public String getMapInfo() {
        return this.mapInfo;
    }

    public void setMapInfo(String mapInfo) {
        this.mapInfo = mapInfo;
    }

    public String getMapWidth() {
        return this.mapWidth;
    }

    public void setMapWidth(String mapWidth) {
        this.mapWidth = mapWidth;
    }

    public String getMapHeight() {
        return this.mapHeight;
    }

    public void setMapHeight(String mapHeight) {
        this.mapHeight = mapHeight;
    }

    public String getMapRate() {
        return this.mapRate;
    }

    public void setMapRate(String mapRate) {
        this.mapRate = mapRate;
    }

    public String getShowInPanel() {
        return this.showInPanel;
    }

    public void setShowInPanel(String showInPanel) {
        this.showInPanel = showInPanel;
    }

    public String getLongitude() {
        return this.longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return this.latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getRemark1() {
        return this.remark1;
    }

    public void setRemark1(String remark1) {
        this.remark1 = remark1;
    }

    public String getRemark2() {
        return this.remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public String getRemark3() {
        return this.remark3;
    }

    public void setRemark3(String remark3) {
        this.remark3 = remark3;
    }

    public String getFrontLevelId() {
        return this.frontLevelId;
    }

    public void setFrontLevelId(String frontLevelId) {
        this.frontLevelId = frontLevelId;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getAdvancedQuery() {
        return advancedQuery;
    }

    public void setAdvancedQuery(String advancedQuery) {
        this.advancedQuery = advancedQuery;
    }

    public String getOrderByStr() {
        return orderByStr;
    }

    public void setOrderByStr(String orderByStr) {
        this.orderByStr = orderByStr;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public VuforiaImageGroup getVuforiaImageGroup() {
        return vuforiaImageGroup;
    }

    public void setVuforiaImageGroup(VuforiaImageGroup vuforiaImageGroup) {
        this.vuforiaImageGroup = vuforiaImageGroup;
    }

    public List<VuforiaImageInfo> getVuforiaImageInfoList() {
        return vuforiaImageInfoList;
    }

    public void setVuforiaImageInfoList(List<VuforiaImageInfo> vuforiaImageInfoList) {
        this.vuforiaImageInfoList = vuforiaImageInfoList;
    }

    public List<AimPlaceContent> getAimPlaceContentList() {
        return aimPlaceContentList;
    }

    public void setAimPlaceContentList(List<AimPlaceContent> aimPlaceContentList) {
        this.aimPlaceContentList = aimPlaceContentList;
    }

    public List<AimPlacePosition> getAimPlacePositionList() {
        return aimPlacePositionList;
    }

    public void setAimPlacePositionList(List<AimPlacePosition> aimPlacePositionList) {
        this.aimPlacePositionList = aimPlacePositionList;
    }

    public List<LandMark> getLandMarkChildList() {
        return landMarkChildList;
    }

    public void setLandMarkChildList(List<LandMark> landMarkChildList) {
        this.landMarkChildList = landMarkChildList;
    }

    public String getDistance() {
        return distance;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    public String getLngKey() {
        return lngKey;
    }

    public void setLngKey(String lngKey) {
        this.lngKey = lngKey;
    }

    public String getLatKey() {
        return latKey;
    }

    public void setLatKey(String latKey) {
        this.latKey = latKey;
    }

    public Integer getTypeId() {
        return typeId;
    }

    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getPower() {
        return power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    public String getAreaMapInfo() {
        return areaMapInfo;
    }

    public void setAreaMapInfo(String areaMapInfo) {
        this.areaMapInfo = areaMapInfo;
    }

    public List<AreaInfo> getAreaInfoList() {
        return areaInfoList;
    }

    public void setAreaInfoList(List<AreaInfo> areaInfoList) {
        this.areaInfoList = areaInfoList;
    }

    public String getAdImage() {
        return adImage;
    }

    public void setAdImage(String adImage) {
        this.adImage = adImage;
    }

    public List<ThingInfo> getThingInfoList() {
        return thingInfoList;
    }

    public void setThingInfoList(List<ThingInfo> thingInfoList) {
        this.thingInfoList = thingInfoList;
    }

    public String getAreaTypeId() {
        return areaTypeId;
    }

    public void setAreaTypeId(String areaTypeId) {
        this.areaTypeId = areaTypeId;
    }

    public String getMapAngle() {
        return mapAngle;
    }

    public void setMapAngle(String mapAngle) {
        this.mapAngle = mapAngle;
    }

    public Integer getAddStep() {
        return addStep;
    }

    public void setAddStep(Integer addStep) {
        this.addStep = addStep;
    }

    public String getMarkLevel() {
        return markLevel;
    }

    public void setMarkLevel(String markLevel) {
        this.markLevel = markLevel;
    }

    public String getMarkPrice() {
        return markPrice;
    }

    public void setMarkPrice(String markPrice) {
        this.markPrice = markPrice;
    }

    public String getBusRoute() {
        return busRoute;
    }

    public void setBusRoute(String busRoute) {
        this.busRoute = busRoute;
    }

    public String getAddStepStr() {
        return addStepStr;
    }

    public void setAddStepStr(String addStepStr) {
        this.addStepStr = addStepStr;
    }
}

